Page MenuHomePhabricator

Allow viewing diffs of single commits within a Differential
Closed, DeclinedPublic

Description

Existing task upstream: Upload local commits in "arc diff --create"

When looking at a Differential containing more than one commit (like Blender's D502), I could not get Phabricator to show me the diff between two commits.

So for example how can I see the diff between commits 6b54797a5a54 and e9d73630f6d5 on Blender's D502?

(Using Blender's phabricator only, because it seems WMF's Differential does not yet have stable ids)

Details

Reference
fl205

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

flimport raised the priority of this task from to Normal.
flimport set Reference to fl205.
Qgil lowered the priority of this task from Normal to Low.Oct 9 2014, 11:13 PM
greg added a subscriber: greg.Sep 3 2015, 6:34 PM

Is this simply https://phabricator.wikimedia.org/D1?vs=15&id=16&whitespace=ignore-most#toc ? (That shows the diff between commit 15 and 16.)

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 6:34 PM
QChris added a comment.Sep 4 2015, 9:08 AM
In T125#1603573, @greg wrote:

Is this simply https://phabricator.wikimedia.org/D1?vs=15&id=16&whitespace=ignore-most#toc ? (That shows the diff between commit 15 and 16.)

That url is not the difference between „commit 15 and 16” but between „Diff 10 and Diff 11 of D1” (where Diff 10 has id 15, and Diff 11 has id 16).

So a Differential (or whatever D1, D2, D3 are currently called) can consist of several Diffs (think of a Diff (with capital D) as something like a version of a Differential), and also several commits.
Your link shows the diff between Diffs.
But it's the diff between individual commits that are not possible.

Unfortunately, the current D1 has nothing to do with the D1 when the task got created :-(
So the example in the project description is moot :-(

To get a more stable example, let's use another project's phabricator as example: https://developer.blender.org/D502
Blender's D502 consists of 3 Diffs and 2 Commits (search for “Local commit” on Blender's D502).
How can one

  • diff between commits 6b54797a5a54 and e9d73630f6d5, or
  • diff between commits 25ce061e6da6 and 6b54797a5a54?
QChris updated the task description. (Show Details)Sep 4 2015, 9:11 AM
QChris set Security to None.

Thanks @QChris. Sorry I was dense there. I've sub'd to the upstream task.

I'm going to make an executive decision (as much as I can here ;) ) and say this isn't a blocker for the migration to Differential at this time (since we still have the diffs between the uploaded, er, Diffs (capital D), just not the local commits). I've added the Differential project to keep track of this, however.

greg moved this task from To Triage to Backlog on the Differential board.Nov 4 2015, 7:17 PM
Legoktm reopened this task as Open.Dec 1 2017, 6:38 AM
mmodell closed this task as Declined.Oct 31 2018, 7:37 PM